﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Public notedialog As B4XDialog
	Private lblnote_title As Label
	#if b4a
		Private edt1_note As EditText
	#else if b4j
		Private TextArea1 As TextArea	
	#End If
End Sub

Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	notedialog.Initialize(Root)
	notedialog.PutAtTop = True
	#if b4a
		notedialog.BackgroundColor = Colors.LightGray
		notedialog.BodyTextColor = Colors.Blue
	#else if b4j
		notedialog.BackgroundColor = xui.Color_LightGray
		notedialog.BodyTextColor = xui.Color_Blue	
	#End If
End Sub

Private Sub Button1_Click
	show_notedialog
End Sub
private Sub show_notedialog
	Dim pnl As B4XView = xui.CreatePanel("")
	pnl.SetLayoutAnimated(0, 0, 0, 340dip, 250dip)
	pnl.LoadLayout("notedialog_layout")
	Private year As Int = DateTime.GetYear(DateTime.Now)
	Private month As Int = DateTime.GetMonth(DateTime.Now)
	Private day As Int = DateTime.GetDayOfMonth(DateTime.Now)
	Private today As String = day & "/" & month & "/" & year
	lblnote_title.Text = "Add note for " & today
	#if b4a
		edt1_note.text = "A first B4A note"	
	#Else If b4j
		TextArea1.Text = "A first B4J note"	
	#End If
	Dim btntxt0 As String = "Yes"
	Dim btntxt1 As String = "No"
	Dim btntxt2 As String = ""
	Dim rs As ResumableSub =  notedialog.ShowCustom(pnl, btntxt0, btntxt1, btntxt2)
	If btntxt0 <> "" Then
		Dim btn0 As B4XView = notedialog.GetButton(xui.dialogResponse_Positive)
		#if b4a
			btn0.TextColor = Colors.Green
		#else if b4j
			btn0.TextColor = xui.Color_Green
		#End If
		Log(btn0.Text)
	End If
	If btntxt1 <> "" Then
		Dim btn1 As B4XView = notedialog.GetButton(xui.dialogResponse_Negative)
		#if b4a
			btn1.TextColor = Colors.Red
		#else if b4j
			btn1.TextColor = xui.Color_Red
		#End If
		Log(btn1.Text)
	End If
	If btntxt2 <> "" Then
		Dim btn2 As B4XView = notedialog.GetButton(xui.dialogResponse_Cancel)
		#if b4a
			btn2.TextColor = Colors.Yellow
		#else if b4j
			btn2.TextColor = xui.Color_Yellow
		#End If
		Log(btn2.Text)
	End If
	Wait For (rs) Complete (Result As Int)
	If Result = xui.dialogResponse_Positive Then
		Log("Positive response")
	End If
	If Result = xui.dialogResponse_Negative Then
		Log("Negative response")
	End If
	If Result = xui.dialogResponse_Cancel Then
		Log("Cancel response")
	End If
End Sub
